cURL
curl --request POST \ --url https://api.supapost.so/schedule/posts \ --header 'Content-Type: application/json' \ --data ' { "socialAccountId": "<string>", "platform": "<string>", "scheduledAt": "<string>", "projectId": "<string>", "title": "<string>", "imageUrls": [ "<string>" ] } '
{ "id": "post-uuid", "team_id": "team-uuid", "project_id": "proj-uuid", "social_account_id": "acct-uuid", "platform": "tiktok", "scheduled_at": "2026-04-10T14:00:00Z", "title": "Morning Routine Tips", "image_urls": ["https://cdn.supapost.so/assets/team/slide1.jpg"], "status": "scheduled", "project": { "id": "proj-uuid", "name": "Morning Routine Carousel", "thumbnail_url": "https://cdn.supapost.so/assets/team/thumb.jpg" }, "account": { "id": "acct-uuid", "platform": "tiktok", "platform_username": "myaccount", "display_name": "My Account", "avatar_url": "https://example.com/avatar.jpg" } }
Schedule a post for future publishing
scheduledAt
Bearer <supabase-jwt>
"tiktok"